CREATE TABLE anc_type_events (
    TYPE_EVENTS_ID           NUMBER(18, 0),
    EVENT_ID                 NUMBER(18, 0)    NOT NULL,
    ABSENCE_TYPE_ID          NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    PROC_TYPE                VARCHAR2(128)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TYPE_EVENTS_ID           NUMBER(18, 0),
    EVENT_ID                 NUMBER(18, 0)    NOT NULL,
    ABSENCE_TYPE_ID          NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    PROC_TYPE                VARCHAR2(128)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_anc_type_events PRIMARY KEY (TYPE_EVENTS_ID, TYPE_EVENTS_ID)
);
